# Generated by Django 4.2.13 on 2024-06-15 20:29

from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('niceauth', '0003_rename_result_data_niceauthresult_result'),
    ]

    operations = [
        migrations.AddField(
            model_name='niceauthrequest',
            name='is_verified',
            field=models.BooleanField(default=False, help_text='Verification status'),
        ),
        migrations.AddField(
            model_name='niceauthrequest',
            name='redirect_url',
            field=models.URLField(blank=True, help_text='URL to redirect to after authentication.', null=True, verbose_name='Redirect URL'),
        ),
        migrations.AddField(
            model_name='niceauthresult',
            name='enc_data',
            field=models.TextField(default='', help_text='Encrypted data for the request.', verbose_name='Encrypted Data'),
        ),
        migrations.AddField(
            model_name='niceauthresult',
            name='is_verified',
            field=models.BooleanField(default=False, help_text='Verification status'),
        ),
        migrations.AddField(
            model_name='niceauthresult',
            name='request_no',
            field=models.UUIDField(default=uuid.uuid4, help_text='Unique request number for the authentication request.', verbose_name='Request Number'),
        ),
        migrations.AlterField(
            model_name='niceauthrequest',
            name='authtype',
            field=models.CharField(blank=True, choices=[('M', 'Mobile Authentication'), ('C', 'Card Verification Authentication'), ('X', 'Certificate Authentication'), ('U', 'Joint Certificate Authentication'), ('F', 'Financial Certificate Authentication'), ('S', 'PASS Certificate Authentication')], help_text='Type of authentication (e.g., M for mobile).', max_length=1, null=True, verbose_name='Authentication Type'),
        ),
        migrations.AlterField(
            model_name='niceauthrequest',
            name='enc_data',
            field=models.TextField(help_text='Encrypted data for the request.', verbose_name='Encrypted Data'),
        ),
        migrations.AlterField(
            model_name='niceauthrequest',
            name='integrity_value',
            field=models.TextField(help_text='Integrity value for the request.', verbose_name='Integrity Value'),
        ),
        migrations.AlterField(
            model_name='niceauthrequest',
            name='iv',
            field=models.CharField(help_text='Initialization Vector (IV) for encryption.', max_length=32, verbose_name='Initialization Vector (IV)'),
        ),
        migrations.AlterField(
            model_name='niceauthrequest',
            name='key',
            field=models.CharField(help_text='Key for encryption.', max_length=32, verbose_name='Key'),
        ),
        migrations.AlterField(
            model_name='niceauthrequest',
            name='popupyn',
            field=models.CharField(blank=True, choices=[('Y', 'Yes'), ('N', 'No')], help_text='Flag to indicate if popup is used (Y/N).', max_length=1, null=True, verbose_name='Popup Flag'),
        ),
        migrations.AlterField(
            model_name='niceauthrequest',
            name='request_no',
            field=models.UUIDField(default=uuid.uuid4, editable=False, unique=True),
        ),
        migrations.AlterField(
            model_name='niceauthrequest',
            name='return_url',
            field=models.URLField(blank=True, help_text='URL to return to after authentication.', null=True, verbose_name='Return URL'),
        ),
        migrations.AlterField(
            model_name='niceauthrequest',
            name='token_version_id',
            field=models.CharField(help_text='Token version ID used in the request.', max_length=100, verbose_name='Token Version ID'),
        ),
        migrations.AlterField(
            model_name='niceauthresult',
            name='request',
            field=models.OneToOneField(help_text='Reference to the related NiceAuthRequest.', on_delete=django.db.models.deletion.CASCADE, to='niceauth.niceauthrequest', verbose_name='Related Request'),
        ),
        migrations.AlterField(
            model_name='niceauthresult',
            name='result',
            field=models.JSONField(help_text='Result of the authentication request in JSON format.', verbose_name='Result'),
        ),
    ]
